SYSADMIN(1)

NAME
sysadmin - responsible for everything imaginable that may or may not have to do with the system you're using. Contraction of "system" and "administrator"

SYNOPSIS
sysadmin [-ab] [-cd] [-ef] etc......

DESCRIPTION

sysadmin takes care of everything, is generally harangued, must be supplied with coffee, chocolate, and alcohol in order to function properly, cannot be exposed to direct sunlight, and must not be allowed to have a life.

sysadmin is not intended as a user interface routine; other programs provide user-friendly front ends; sysadmin is used by everyone who can track him [her] down.

With no flags, sysadmin reads its standard input up to an EOF, or a line which sysadmin wishes to parse, and then proceeds to ignore it entirely and read news all day. When invoked with the -w option, sysadmin reads standard input and responds according to terms of job description.

OPTIONS

-bofh
    Go into Bastard Operator From Hell mode. This option causes sysadmin to use tools stored in the /usr/lib/bofh directory to parse the standard input and route user tasks appropriately.

-cd causes sysadmin to become caffeine-deprived, resulting in system slowdowns.

-b  causes the sysadmin to function normally while augmenting the standard input with beer(5). Can be used with the -t option as well, depending upon which version of sysadmin you are running.

-t  causes the sysadmin to smoke tobacco, which can result in significant performance improvement, provided you are running the correct version of sysadmin.

-Cfile
    Specify an alternate configuration file (sysadmin.cf is the standard).

-dX set debuggin value to X.

-fFullname
    Set the full name of the sysadmin.

-Bf Create the sysadmin.cf configuration freeze file.

-lname
    Sets the name of the "luser" person (that is, originator of a given request). -l can only be used by "trusted" users (who are listed in sysadmin.cf).

NOTES
The -t option should not be used with a version of sysadmin which is not capable of parsing tobacco input. Though the functionality of this command may seem similar to the -b option, it should not be confused with that or the related -c option.